Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class ExtButtonAreaLayout

    java.lang.Object
      javax.swing.plaf.basic.BasicOptionPaneUI.ButtonAreaLayout
          com.jgoodies.looks.common.ExtButtonAreaLayout

All Implemented Interfaces:
  LayoutManager

public final class ExtButtonAreaLayout
extends BasicOptionPaneUI.ButtonAreaLayout

Unlike its superclass, this layout uses a minimum button width that complies with Mac and Windows UI style guides.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicOptionPaneUI.ButtonAreaLayout
`centersChildren, padding, syncAllWidths`

Constructor Summary
`ExtButtonAreaLayout(boolean syncAllWidths, int padding)` Constructs an `ExtButtonAreaLayout`.

Method Summary
`void` | `layoutContainer(Container container)`
`Dimension` | `minimumLayoutSize(Container c)`

Methods inherited from class javax.swing.plaf.basic.BasicOptionPaneUI.ButtonAreaLayout
`addLayoutComponent, getCentersChildren, getPadding, getSyncAllWidths, preferredLayoutSize, removeLayoutComponent, setCentersChildren, setPadding, setSyncAllWidths`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtButtonAreaLayout

    public ExtButtonAreaLayout(boolean syncAllWidths,
                               int padding)

  Constructs an `ExtButtonAreaLayout`.

Parameters:
  `syncAllWidths` - true indicates that all buttons get the same size
  `padding` - the padding between buttons

Method Detail

### layoutContainer

    public void layoutContainer(Container container)

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 JGoodies Karsten Lentzsch. All Rights Reserved.